Unable to upgrade to latest CyberPanel version 1.9.1

Hi @CyberPanel

I am unable to upgrade to latest version version 1.9.1, I followed the guide here: Upgrading CyberPanel - CyberPanel

The process gets stuck with " [Errno 13] Permission denied: ‘/usr/bin/chardetect’ " you can check more details in this link " Unable to Upgrade to version 1.9.1 - Pastebin.com " do let me know how to resolve this to upgrade to latest version.

My previous Cyberpanel version is 1.9 installed on CentOS 7.X

Thanks.

did you run as root or using sudo?

Move on with further commands on upgrade page, ignore the rm command.

Make sure to only run command as root and not sudo. You can change to root su - root

Hi @CyberPanel

I managed to successfully upgrade to latest Cyberpanel version 1.9.1 after running the new upgrade command with root user .

For anyone using GCP try to use command “sudo -i” to switch to root user role & “su - root” if you have previously setup root user password.

Thank you very much. :smile:

Type your comment> @cloudrider said:

Hi @CyberPanel

I managed to successfully upgrade to latest Cyberpanel version 1.9.1 after running the new upgrade command with root user .

For anyone using GCP try to use command “sudo -i” to switch to root user role & “su - root” if you have previously setup root user password.

Thank you very much. :smile:

can u explain in detail, i cant able to upgrade to latest CyberPanel version

Hi have you check this page here on upgrading to latest version 1.9.2